/*
 * Copyright (c) 2002-2008 TeamDev Ltd. All rights reserved.
 *
 * Use is subject to license terms.
 *
 * The complete licence text can be found at
 * http://www.teamdev.com/winpack/license.jsf
 */
package teamdev.jxcapture.samples.demo.timer;

import javax.swing.*;

/**
 * Mac OS X platform specific implementation of Timer window
 * that notifies how many seconds left before capture.
 *
 * @author slavapak
 */
public class MacOSTimerWindow extends TimerWindow {

    private JWindow dialog;

    public MacOSTimerWindow(JWindow window) {
        this.dialog = window;
    }

    public void showWithFadeEffect() {
        dialog.setVisible(true);
    }
}
