/*
 * Copyright (c) 2002-2008 TeamDev Ltd. All rights reserved.
 *
 * Use is subject to license terms.
 *
 * The complete licence text can be found at
 * http://www.teamdev.com/winpack/license.jsf
 */
import teamdev.jxcapture.Capture;
import teamdev.jxcapture.events.CaptureAdapter;

import java.awt.image.BufferedImage;

/**
 * The example demonstrates how to capture the desktop.
 *
 * @author Ikryanov Vladimir
 */
public class DesktopWindowSample extends JxCaptureSample {

    public static void main(String[] args) {
        new DesktopWindowSample().run();
    }

    protected void execute() {
        Capture.captureDesktop(new CaptureAdapter() {
            public void complete(BufferedImage image) {
                saveImageToHomeDirectory(image);
            }
        });
    }

    protected String getFileName() {
        return "DesktopWindow.png";
    }
}
